Download it now!
Bug 53631 - : wrap through loses effect on save as .doc file
Summary: : wrap through loses effect on save as .doc file
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-17 07:41 UTC by Niall.Cavanagh
Modified: 2015-03-07 14:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
PNG image with transparent fill after saving,closing and reopening - note existing line hidden (28.44 KB, image/png)
2012-08-17 07:41 UTC, Niall.Cavanagh
Details
PNG image with transparent fill with Wrap Through before save/reopen (29.08 KB, image/png)
2012-08-17 07:44 UTC, Niall.Cavanagh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Niall.Cavanagh 2012-08-17 07:41:00 UTC
Created attachment 65669 [details]
PNG image with transparent fill after saving,closing and reopening - note existing line hidden

Problem description: 
on 3.6.0.4 EN and on previous 3.5.5 EN

A signature in a png file (with transparent background fill) was inserted to Writer document and set to Wrap Through but this view/effect is lost if the file is saved+closed+opened. This produces the desired effect of showing the text signature over the existing line on the page. This is fine for printing and exporting to pdf. BUT when the file is saved, closed and reopened, the wrap-through acts as if the background was solid white, i.e. the picture floats on top of the background and blocks out background text. This can be corrected by changing it to Wrap to background. If it was inserted as Wrap to Background in the first place, then the issue is avoided.
Steps to reproduce:
1. Insert a png file that has transparent background
2. Select that image and mark it Wrap Through
3. Drag it so it sits over some other text - note that the other text is visible in the background
4. Save and close the Writer document. 
5. Open the Writer document and note that the image has now 'blocked out' any background text, although it still holds the Wrap Through property. (Note that setting it to Wrap Behind restores the desired effect)

Current behavior:  Wrap through WYSIWYG works until saved and re-opened, when picture with transparent fill appears as if it was in foreground with transparent fill replaced by solid white.

Expected behavior: Re-opened document should show Wrap Through in the same manner as before save.

Platform (if different from the browser): Windows 7 Home x64
              
Browser: Chrome/21.0.1180.79m
Comment 1 Niall.Cavanagh 2012-08-17 07:44:09 UTC
Created attachment 65670 [details]
PNG image with transparent fill with Wrap Through before save/reopen

This shows the desired effect which is not retained when saved/reopened
Comment 2 Niall.Cavanagh 2012-08-17 07:46:36 UTC
Note that the Writer file was in .doc format for all of these steps.
Comment 3 Niall.Cavanagh 2012-08-17 07:48:58 UTC
I have marked this low because using Wrap to Background desires the correct effect, however I left it as Normal, because it could cause problems if someone thinks that the What You See is What You Get for the initial print/exporttopdf will be retained on re-opening.
Comment 4 bfoman (inactive) 2013-03-13 12:24:17 UTC
(In reply to comment #0)
> Steps to reproduce:
> 1. Insert a png file that has transparent background
> 2. Select that image and mark it Wrap Through
> 3. Drag it so it sits over some other text - note that the other text is
> visible in the background
> 4. Save and close the Writer document. 
> 5. Open the Writer document and note that the image has now 'blocked out'
> any background text, although it still holds the Wrap Through property.
> (Note that setting it to Wrap Behind restores the desired effect)

Confirmed with:
LO 4.0.1.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Confirmed when saved as doc. odt or docx are all fine.
Comment 5 QA Administrators 2015-02-19 15:39:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.0.3 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-02-19
Comment 6 Buovjaga 2015-03-07 14:30:36 UTC
No repro -> WFM.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI